Index: tests/Fragmentations/neohexane/neohexane.xyz
===================================================================
--- tests/Fragmentations/neohexane/neohexane.xyz	(revision 03871391ca6c9494c227476e9ffca5d4ad581339)
+++ 	(revision )
@@ -1,22 +1,0 @@
-20
-NCI NSC 74126 2, 2-Dimethylbutane
-C    0.4214    0.0000    0.0039
-C   -0.8142    0.0005    0.9062
-C    0.4079    1.2487   -0.8801
-C    1.6840    0.0005    0.8681
-C    0.4079   -1.2498   -0.8786
-C   -2.0768    0.0000    0.0421
-H   -0.8046   -0.8891    1.5360
-H   -0.8046    0.8909    1.5349
-H    1.2882    1.2483   -1.5229
-H   -0.4916    1.2484   -1.4957
-H    0.4175    2.1391   -0.2514
-H    1.6936    0.8909    1.4968
-H    1.6936   -0.8891    1.4978
-H    2.5642    0.0001    0.2252
-H   -0.4916   -1.2501   -1.4943
-H    1.2882   -1.2501   -1.5214
-H    0.4175   -2.1394   -0.2488
-H   -2.0864   -0.8903   -0.5867
-H   -2.9571    0.0004    0.6849
-H   -2.0864    0.8896   -0.5877
Index: tests/Fragmentations/neohexane/pre/neohexane.xyz
===================================================================
--- tests/Fragmentations/neohexane/pre/neohexane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/pre/neohexane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,22 @@
+20
+NCI NSC 74126 2, 2-Dimethylbutane
+C    0.4214    0.0000    0.0039
+C   -0.8142    0.0005    0.9062
+C    0.4079    1.2487   -0.8801
+C    1.6840    0.0005    0.8681
+C    0.4079   -1.2498   -0.8786
+C   -2.0768    0.0000    0.0421
+H   -0.8046   -0.8891    1.5360
+H   -0.8046    0.8909    1.5349
+H    1.2882    1.2483   -1.5229
+H   -0.4916    1.2484   -1.4957
+H    0.4175    2.1391   -0.2514
+H    1.6936    0.8909    1.4968
+H    1.6936   -0.8891    1.4978
+H    2.5642    0.0001    0.2252
+H   -0.4916   -1.2501   -1.4943
+H    1.2882   -1.2501   -1.5214
+H    0.4175   -2.1394   -0.2488
+H   -2.0864   -0.8903   -0.5867
+H   -2.9571    0.0004    0.6849
+H   -2.0864    0.8896   -0.5877
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order1.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 1
+
+AT_SETUP([Fragmentations - neohexane order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=6
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order2.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 2
+
+AT_SETUP([Fragmentations - neohexane order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=11
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order3.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 3
+
+AT_SETUP([Fragmentations - neohexane order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=18
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order4.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 4
+
+AT_SETUP([Fragmentations - neohexane order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=25
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order5.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 5
+
+AT_SETUP([Fragmentations - neohexane order 5])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=29
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/neohexane/testsuite-neohexane-order6.at
===================================================================
--- tests/Fragmentations/neohexane/testsuite-neohexane-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/neohexane/testsuite-neohexane-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### neohexane - order 6
+
+AT_SETUP([Fragmentations - neohexane order 6])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=neohexane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=30
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
